SSS_OBFUSCATE(8)

NAME
sss_obfuscate - obfuscate a clear text password

SYNOPSIS

sss_obfuscate [options] [PASSWORD]

DESCRIPTION

sss_obfuscate converts a given password into human-unreadable format and places it into appropriate domain section of the SSSD config file.

The cleartext password is read from standard input or entered interactively. The obfuscated password is put into “ldap_default_authtok” parameter of a given SSSD domain and the “ldap_default_authtok_type” parameter is set to “obfuscated_password”. Refer to sssd-ldap(5) for more details on these parameters.

Please note that obfuscating the password provides no real security benefit as it is still possible for an attacker to reverse-engineer the password back. Using better authentication mechanisms such as client side certificates or GSSAPI is strongly advised.

OPTIONS

-h,--help
    Display help message and exit.

-s,--stdin
    The password to obfuscate will be read from standard input.

-d,--domain DOMAIN
    The SSSD domain to use the password in. The default name is “default”.

-f,--file FILE
    Read the config file specified by the positional parameter.

    Default: /usr/local/etc/sssd/sssd.conf

SEE ALSO

sssd-ldap(5)

AUTHORS

The SSSD upstream - http://fedorahosted.org/sssd